## ovn-octavia-provider 0.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

keystoneauth1>=3.4.0 # Apache-2.0
netaddr>=0.7.18 # BSD
neutron-lib>=1.28.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
ovs>=2.8.0 # Apache-2.0
ovsdbapp>=0.17.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
tenacity>=4.4.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
octavia-lib>=1.3.1 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,!=2.1.0  # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
openstackdocstheme>=1.20.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
ovn-octavia-provider (0.1.0-0ubuntu1) focal; urgency=medium

  * d/watch: Scope to 0.x series and switch to tarballs.opendev.org.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ensure-setup-packages-matches-root-package-dir.patch: Dropped. Fixed
    in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Apr 2020 09:48:22 -0400

ovn-octavia-provider (0.0.1~git2020022414.000049c-0ubuntu1) focal; urgency=medium

  * Initial upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 24 Feb 2020 14:41:13 -0500

=== debian/control ===
Source: ovn-octavia-provider
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-babel (>= 2.3.4),
 python3-keystoneauth1 (>= 3.4.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:15.0.0),
 python3-neutron-lib (>= 1.28.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-octavia-lib (>= 1.3.1),
 python3-openstackdocstheme (>= 1.20.0),
 python3-openvswitch (>= 2.8.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-ovsdbapp (>= 0.17.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-subunit (>= 1.0.0),
 python3-tenacity (>= 4.4.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn-octavia-provider
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn-octavia-provider
Homepage: https://opendev.org/openstack/ovn-octavia-provider
Testsuite: autopkgtest-pkg-python

Package: python3-ovn-octavia-provider
Architecture: all
Section: python
Depends:
 python3-babel (>= 2.3.4),
 python3-keystoneauth1 (>= 3.4.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.28.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-octavia-lib (>= 1.3.1),
 python3-openvswitch (>= 2.8.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-ovsdbapp (>= 0.17.0),
 python3-pbr (>= 2.0.0),
 python3-tenacity (>= 4.4.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Octavia Integration with OVN - Python 3 library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 OVN provides virtual networking for Open vSwitch and is a component of the
 Open vSwitch project.
 .
 This package provides the Python 3 module for the integration between Octavia and OVN.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ovn_octavia_provider

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ovn-octavia-provider ovn-octavia-provider-(0\.\d.*)\.tar\.gz

## ovn-octavia-provider 0.3.0

=== debian/changelog ===
ovn-octavia-provider (0.3.0-0ubuntu2~cloud0) focal-victoria; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 09 Feb 2021 21:32:13 +0000

ovn-octavia-provider (0.3.0-0ubuntu2) groovy; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/victoria branch.

  [ Liam Young ]
  * d/p/fix-ovn-listeners.patch: Correctly process allowed_cidrs option
    when creating listeners (LP: #1896603).

 -- Liam Young <liam.young@canonical.com>  Wed, 27 Jan 2021 14:16:45 +0000

ovn-octavia-provider (0.3.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 13:04:58 -0400

ovn-octavia-provider (0.2.1~git2020073017.fac554d-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 17:25:32 -0400

ovn-octavia-provider (0.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.
  * d/rules: Run tests serially.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jul 2020 12:37:33 -0400

=== debian/control ===
--- 
+++ 
@@ -9,35 +9,39 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-astroid (>= 2.1.0),
  python3-babel (>= 2.3.4),
+ python3-hacking,
+ python3-isort (>= 4.3.21),
  python3-keystoneauth1 (>= 3.4.0),
  python3-netaddr (>= 0.7.18),
  python3-neutron (>= 2:15.0.0),
- python3-neutron-lib (>= 1.28.0),
+ python3-neutron-lib (>= 2.1.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-octavia-lib (>= 1.3.1),
- python3-openstackdocstheme (>= 1.20.0),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-openvswitch (>= 2.8.0),
- python3-os-testr (>= 1.0.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.messaging (>= 12.4.0),
+ python3-oslo.serialization (>= 2.28.1),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
  python3-ovsdbapp (>= 0.17.0),
  python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
+ python3-sqlalchemy (>= 1.2.19),
+ python3-stestr (>= 1.0.0),
  python3-subunit (>= 1.0.0),
- python3-tenacity (>= 4.4.0),
+ python3-tenacity (>= 5.0.2),
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  python3-webtest (>= 2.0.27),
-Standards-Version: 4.1.2
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn-octavia-provider
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn-octavia-provider
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ovn-octavia-provider
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ovn-octavia-provider
 Homepage: https://opendev.org/openstack/ovn-octavia-provider
 Testsuite: autopkgtest-pkg-python
 
@@ -48,17 +52,19 @@
  python3-babel (>= 2.3.4),
  python3-keystoneauth1 (>= 3.4.0),
  python3-netaddr (>= 0.7.18),
- python3-neutron-lib (>= 1.28.0),
+ python3-neutron-lib (>= 2.1.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-octavia-lib (>= 1.3.1),
  python3-openvswitch (>= 2.8.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.messaging (>= 12.4.0),
+ python3-oslo.serialization (>= 2.28.1),
  python3-oslo.utils (>= 3.33.0),
  python3-ovsdbapp (>= 0.17.0),
  python3-pbr (>= 2.0.0),
- python3-tenacity (>= 4.4.0),
+ python3-sqlalchemy (>= 1.2.19),
+ python3-tenacity (>= 5.0.2),
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack Octavia Integration with OVN - Python 3 library

## ovn-octavia-provider 0.3.1

=== requirements.txt ===
--- 
+++ 
@@ -4,15 +4,16 @@
 
 keystoneauth1>=3.4.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
-neutron-lib>=1.28.0 # Apache-2.0
+neutron-lib>=2.1.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
-oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
+oslo.messaging>=12.4.0 # Apache-2.0
+oslo.serialization>=2.28.1 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 ovs>=2.8.0 # Apache-2.0
 ovsdbapp>=0.17.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-tenacity>=4.4.0 # Apache-2.0
-Babel!=2.4.0,>=2.3.4 # BSD
+SQLAlchemy>=1.2.19 # MIT
+tenacity>=5.0.2 # Apache-2.0
 octavia-lib>=1.3.1 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0

=== ovn_octavia_provider/tests/functional/requirements.txt ===
# Additional requirements for functional tests

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

psutil>=1.1.1,<2.0.0

=== debian/changelog ===
ovn-octavia-provider (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Fixed (build-)depends for this release.
  * Blacklist test_vip_port_update_handler_multiple_lbs() and
    test_vip_port_update_handler_lb_not_found() and
    test_pool_update_unset_admin_state_up() and
    test_pool_update_pool_up_change_to_disabled() and
    test_pool_update_pool_disabled_change_to_up() and
    test_pool_update_listeners() and
    test_pool_update_exception_not_found() and
    test_pool_update that takes forever.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 17:56:38 +0200

ovn-octavia-provider (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #961022)

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 May 2020 14:42:23 +0200

=== debian/control ===
Source: ovn-octavia-provider
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-isort,
 python3-mock,
 python3-netaddr,
 python3-neutron (>= 2:15.0.0),
 python3-neutron-lib (>= 2.1.0),
 python3-neutronclient,
 python3-octavia-lib,
 python3-openstackdocstheme,
 python3-openvswitch,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.utils,
 python3-oslotest,
 python3-ovsdbapp (>= 0.17.0),
 python3-pbr,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-sqlalchemy (>= 1.2.19),
 python3-stestr,
 python3-tenacity (>= 5.0.2),
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webtest,
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-ovn-octavia-provider
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-ovn-octavia-provider.git
Homepage: https://opendev.org/openstack/ovn-octavia-provider

Package: python3-ovn-octavia-provider
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-netaddr,
 python3-neutron-lib (>= 2.1.0),
 python3-neutronclient,
 python3-octavia-lib,
 python3-openvswitch,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.utils,
 python3-ovsdbapp (>= 0.17.0),
 python3-pbr,
 python3-sqlalchemy (>= 1.2.19),
 python3-tenacity (>= 5.0.2),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ovn-octavia-provider-doc,
Description: OpenStack Octavia integration with OVN - Python 3.x
 OVN provides virtual networking for Open vSwitch and is a component of the
 OpenvSwitch project. This project provides integration between OpenStack
 Octavia and OVN.
 .
 This package contains the Python 3.x module.

Package: python-ovn-octavia-provider-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Octavia integration with OVN - doc
 OVN provides virtual networking for Open vSwitch and is a component of the
 OpenvSwitch project. This project provides integration between OpenStack
 Octavia and OVN.
 .
 This package contains the documentation.

## ovn-octavia-provider 0.4.0

=== debian/changelog ===
ovn-octavia-provider (0.4.0-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Mon, 31 Jan 2022 12:53:14 +0000

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  python3-oslo.log,
  python3-oslo.messaging (>= 12.4.0),
  python3-oslo.serialization (>= 2.28.1),
- python3-oslo.utils,
+ python3-oslo.utils (>= 4.5.0),
  python3-oslotest,
  python3-ovsdbapp (>= 0.17.0),
  python3-pbr,
@@ -59,7 +59,7 @@
  python3-oslo.log,
  python3-oslo.messaging (>= 12.4.0),
  python3-oslo.serialization (>= 2.28.1),
- python3-oslo.utils,
+ python3-oslo.utils (>= 4.5.0),
  python3-ovsdbapp (>= 0.17.0),
  python3-pbr,
  python3-sqlalchemy (>= 1.2.19),

## ovn-octavia-provider 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

keystoneauth1>=3.14.0 # Apache-2.0
netaddr>=0.7.18 # BSD
neutron-lib>=2.2.0 # Apache-2.0
oslo.config>=6.0.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=12.4.0 # Apache-2.0
oslo.serialization>=2.28.1 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
ovs>=2.8.0 # Apache-2.0
ovsdbapp>=1.3.0 # Apache-2.0
pbr>=4.0.0 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
tenacity>=6.0.0 # Apache-2.0
octavia-lib>=2.2.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0

=== debian/changelog ===
ovn-octavia-provider (1.0.0-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 1.x series and fix URL.
  * New upstream release for OpenStack Wallaby.
  * d/control: Build with python3-neutron >= 2:18.0.0~ to fix
    py39 unit test failures.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Apr 2021 13:44:38 -0400

ovn-octavia-provider (0.3.1+git2020121115.b882a7f-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Dec 2020 15:13:38 +0000

=== debian/control ===
Source: ovn-octavia-provider
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-babel (>= 2.3.4),
 python3-hacking,
 python3-isort (>= 4.3.21),
 python3-keystoneauth1 (>= 3.14.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:18.0.0~),
 python3-neutron-lib (>= 2.2.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-octavia-lib (>= 2.2.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openvswitch (>= 2.8.0),
 python3-oslo.config (>= 1:6.0.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.utils (>= 4.5.0),
 python3-oslotest (>= 1:3.2.0),
 python3-ovsdbapp (>= 1.3.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-tenacity (>= 6.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ovn-octavia-provider
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ovn-octavia-provider
Homepage: https://opendev.org/openstack/ovn-octavia-provider
Testsuite: autopkgtest-pkg-python

Package: python3-ovn-octavia-provider
Architecture: all
Section: python
Depends:
 python3-babel (>= 2.3.4),
 python3-keystoneauth1 (>= 3.14.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 2.2.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-octavia-lib (>= 2.2.0),
 python3-openvswitch (>= 2.8.0),
 python3-oslo.config (>= 1:6.0.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.utils (>= 4.5.0),
 python3-ovsdbapp (>= 1.3.0),
 python3-pbr (>= 4.0.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-tenacity (>= 6.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Octavia Integration with OVN - Python 3 library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 OVN provides virtual networking for Open vSwitch and is a component of the
 Open vSwitch project.
 .
 This package provides the Python 3 module for the integration between Octavia and OVN.

## ovn-octavia-provider 1.0.2

=== debian/changelog ===
ovn-octavia-provider (1.0.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 09:34:30 +0000

ovn-octavia-provider (1.0.0-2) unstable; urgency=medium

  * Fixed (build-)depends for this release.
  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 13:33:05 +0200

ovn-octavia-provider (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 21:19:37 +0100

=== debian/control ===
Source: ovn-octavia-provider
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-isort,
 python3-mock,
 python3-netaddr,
 python3-neutron (>= 2:18.0.0~),
 python3-neutron-lib (>= 2.10.1),
 python3-neutronclient,
 python3-octavia-lib,
 python3-openstackdocstheme,
 python3-openvswitch,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-ovsdbapp,
 python3-pbr,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-sqlalchemy,
 python3-stestr,
 python3-tenacity,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webtest,
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-ovn-octavia-provider
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-ovn-octavia-provider.git
Homepage: https://opendev.org/openstack/ovn-octavia-provider

Package: python3-ovn-octavia-provider
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-netaddr,
 python3-neutron-lib (>= 2.10.1),
 python3-neutronclient,
 python3-octavia-lib,
 python3-openvswitch,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-ovsdbapp,
 python3-pbr,
 python3-sqlalchemy,
 python3-tenacity,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ovn-octavia-provider-doc,
Description: OpenStack Octavia integration with OVN - Python 3.x
 OVN provides virtual networking for Open vSwitch and is a component of the
 OpenvSwitch project. This project provides integration between OpenStack
 Octavia and OVN.
 .
 This package contains the Python 3.x module.

Package: python-ovn-octavia-provider-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Octavia integration with OVN - doc
 OVN provides virtual networking for Open vSwitch and is a component of the
 OpenvSwitch project. This project provides integration between OpenStack
 Octavia and OVN.
 .
 This package contains the documentation.

## ovn-octavia-provider 1.1.1+git2021090912.f257fc1

=== requirements.txt ===
--- 
+++ 
@@ -4,14 +4,14 @@
 
 keystoneauth1>=3.14.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
-neutron-lib>=2.2.0 # Apache-2.0
-oslo.config>=6.0.0 # Apache-2.0
-oslo.log>=3.36.0 # Apache-2.0
+neutron-lib>=2.10.1 # Apache-2.0
+oslo.config>=8.0.0 # Apache-2.0
+oslo.log>=4.3.0 # Apache-2.0
 oslo.messaging>=12.4.0 # Apache-2.0
 oslo.serialization>=2.28.1 # Apache-2.0
 oslo.utils>=4.5.0 # Apache-2.0
-ovs>=2.8.0 # Apache-2.0
-ovsdbapp>=1.3.0 # Apache-2.0
+ovs>=2.10.0 # Apache-2.0
+ovsdbapp>=1.7.0 # Apache-2.0
 pbr>=4.0.0 # Apache-2.0
 SQLAlchemy>=1.2.19 # MIT
 tenacity>=6.0.0 # Apache-2.0

=== debian/changelog ===
ovn-octavia-provider (1.1.1+git2021090912.f257fc1-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 09 Sep 2021 20:24:00 +0000

ovn-octavia-provider (1.1.1+git2021090912.f257fc1-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:09:27 -0400

ovn-octavia-provider (1.0.0+git2021072212.a18b31f-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Jul 2021 12:29:33 -0400

ovn-octavia-provider (1.0.0+git2021062816.bc51cb2-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Jun 2021 16:39:27 -0400

=== debian/control ===
Source: ovn-octavia-provider
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-babel (>= 2.3.4),
 python3-hacking,
 python3-isort (>= 4.3.21),
 python3-keystoneauth1 (>= 3.14.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:18.0.0),
 python3-neutron-lib (>= 2.10.1),
 python3-neutronclient (>= 1:6.7.0),
 python3-octavia-lib (>= 2.2.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openvswitch (>= 2.10.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.utils (>= 4.5.0),
 python3-oslotest (>= 1:3.2.0),
 python3-ovsdbapp (>= 1.7.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-tenacity (>= 6.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ovn-octavia-provider
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ovn-octavia-provider
Homepage: https://opendev.org/openstack/ovn-octavia-provider
Testsuite: autopkgtest-pkg-python

Package: python3-ovn-octavia-provider
Architecture: all
Section: python
Depends:
 python3-babel (>= 2.3.4),
 python3-keystoneauth1 (>= 3.14.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 2.10.1),
 python3-neutronclient (>= 1:6.7.0),
 python3-octavia-lib (>= 2.2.0),
 python3-openvswitch (>= 2.10.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.utils (>= 4.5.0),
 python3-ovsdbapp (>= 1.7.0),
 python3-pbr (>= 4.0.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-tenacity (>= 6.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Octavia Integration with OVN - Python 3 library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 OVN provides virtual networking for Open vSwitch and is a component of the
 Open vSwitch project.
 .
 This package provides the Python 3 module for the integration between Octavia and OVN.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ovn-octavia-provider/ ovn-octavia-provider-(1\.\d.*)\.tar\.gz

## ovn-octavia-provider 2.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 keystoneauth1>=3.14.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
-neutron-lib>=2.10.1 # Apache-2.0
+neutron-lib>=2.16.0 # Apache-2.0
 oslo.config>=8.0.0 # Apache-2.0
 oslo.log>=4.3.0 # Apache-2.0
 oslo.messaging>=12.4.0 # Apache-2.0
@@ -13,7 +13,7 @@
 ovs>=2.10.0 # Apache-2.0
 ovsdbapp>=1.7.0 # Apache-2.0
 pbr>=4.0.0 # Apache-2.0
-SQLAlchemy>=1.2.19 # MIT
+SQLAlchemy>=1.4.23 # MIT
 tenacity>=6.0.0 # Apache-2.0
 octavia-lib>=2.2.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0

=== debian/changelog ===
ovn-octavia-provider (2.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 2.x series.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:08:57 -0400

ovn-octavia-provider (1.1.1+git2022030314.ec5b1d5-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 14:38:10 -0500

ovn-octavia-provider (1.1.1+git2022011309.1ddaef1-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Jan 2022 09:40:57 -0500

ovn-octavia-provider (1.1.1+git2021120816.ee800e1-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 16:09:57 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -18,7 +18,7 @@
  python3-keystoneauth1 (>= 3.14.0),
  python3-netaddr (>= 0.7.18),
  python3-neutron (>= 2:18.0.0),
- python3-neutron-lib (>= 2.10.1),
+ python3-neutron-lib (>= 2.16.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-octavia-lib (>= 2.2.0),
  python3-openstackdocstheme (>= 2.2.1),
@@ -31,7 +31,7 @@
  python3-oslotest (>= 1:3.2.0),
  python3-ovsdbapp (>= 1.7.0),
  python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
- python3-sqlalchemy (>= 1.2.19),
+ python3-sqlalchemy (>= 1.4.23),
  python3-stestr (>= 1.0.0),
  python3-subunit (>= 1.0.0),
  python3-tenacity (>= 6.0.0),
@@ -52,7 +52,7 @@
  python3-babel (>= 2.3.4),
  python3-keystoneauth1 (>= 3.14.0),
  python3-netaddr (>= 0.7.18),
- python3-neutron-lib (>= 2.10.1),
+ python3-neutron-lib (>= 2.16.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-octavia-lib (>= 2.2.0),
  python3-openvswitch (>= 2.10.0),
@@ -63,7 +63,7 @@
  python3-oslo.utils (>= 4.5.0),
  python3-ovsdbapp (>= 1.7.0),
  python3-pbr (>= 4.0.0),
- python3-sqlalchemy (>= 1.2.19),
+ python3-sqlalchemy (>= 1.4.23),
  python3-tenacity (>= 6.0.0),
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,5 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2
+	pkgos-dh_auto_test --no-py2 --serial
 endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ovn-octavia-provider/ ovn-octavia-provider-(2\.\d.*)\.tar\.gz

## ovn-octavia-provider 2.2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0  # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
ovn-octavia-provider (2.2.0-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:58:38 +0000

ovn-octavia-provider (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 22:24:39 +0200

ovn-octavia-provider (2.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 14:14:20 +0200

ovn-octavia-provider (2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 16:59:16 +0100

ovn-octavia-provider (1.1.1-3) unstable; urgency=medium

  * d/control: Add me to uploaders field
  * d/copyright: Add me to copyright file
  * d/patches: Add install-missing-files.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 27 Oct 2021 20:29:16 +0200

ovn-octavia-provider (1.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:23:57 +0200

ovn-octavia-provider (1.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Sep 2021 16:39:47 +0200

ovn-octavia-provider (1.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 11:08:59 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/ovn-octavia-provider
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'ovn_octavia_provider\.tests\.unit\.(?!(.*test_helper\.TestOvnProviderHelper\.test_vip_port_update_handler_multiple_lbs.*|.*test_helper\.TestOvnProviderHelper\.test_vip_port_update_handler_lb_not_found.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_unset_admin_state_up.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_pool_up_change_to_disabled.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_pool_disabled_change_to_up.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_listeners.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_exception_not_found.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update.*))'

endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-ovn-octavia-provider-doc/usr/share/doc/python-ovn-octavia-provider-doc/html
	dh_sphinxdoc
endif

## ovn-octavia-provider 3.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
ovn-octavia-provider (3.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Skip autopkgtest on armhf/armel/i386 (Closes: #1026883)

 -- Luca Boccassi <bluca@debian.org>  Sat, 24 Dec 2022 11:37:11 +0100

ovn-octavia-provider (3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 10:48:52 +0200

ovn-octavia-provider (3.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:47:11 +0200

ovn-octavia-provider (3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Sep 2022 11:54:36 +0200

=== debian/control ===
Source: ovn-octavia-provider
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-isort,
 python3-mock,
 python3-netaddr,
 python3-neutron (>= 2:18.0.0~),
 python3-neutron-lib (>= 2.16.0),
 python3-neutronclient,
 python3-octavia-lib,
 python3-openstackdocstheme,
 python3-openvswitch,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-ovsdbapp (>= 1.7.0),
 python3-pbr,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-sqlalchemy (>= 1.4.23),
 python3-stestr,
 python3-tenacity,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webtest,
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-ovn-octavia-provider
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-ovn-octavia-provider.git
Homepage: https://opendev.org/openstack/ovn-octavia-provider

Package: python3-ovn-octavia-provider
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-netaddr,
 python3-neutron-lib (>= 2.16.0),
 python3-neutronclient,
 python3-octavia-lib,
 python3-openvswitch,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-ovsdbapp (>= 1.7.0),
 python3-pbr,
 python3-sqlalchemy (>= 1.4.23),
 python3-tenacity,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ovn-octavia-provider-doc,
Description: OpenStack Octavia integration with OVN - Python 3.x
 OVN provides virtual networking for Open vSwitch and is a component of the
 OpenvSwitch project. This project provides integration between OpenStack
 Octavia and OVN.
 .
 This package contains the Python 3.x module.

Package: python-ovn-octavia-provider-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Octavia integration with OVN - doc
 OVN provides virtual networking for Open vSwitch and is a component of the
 OpenvSwitch project. This project provides integration between OpenStack
 Octavia and OVN.
 .
 This package contains the documentation.

=== debian/tests/control ===
Tests: unittests
Depends:
 @,
 @builddeps@,
Restrictions: allow-stderr needs-root
Architecture: amd64 arm64 ppc64el s390x

## ovn-octavia-provider 3.1.2

=== debian/changelog ===
ovn-octavia-provider (3.1.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Fri, 26 Sep 2025 13:19:08 +0000

## ovn-octavia-provider 4.0.0

=== debian/changelog ===
ovn-octavia-provider (4.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:18:23 -0400

ovn-octavia-provider (4.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Mar 2023 08:45:51 -0500

ovn-octavia-provider (3.0.0+git2023011010.ef019ed6-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:36:20 -0500

ovn-octavia-provider (3.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 3.x series.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:54:43 -0400

ovn-octavia-provider (2.0.0+git2022091213.d490778-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:50:56 -0400

ovn-octavia-provider (2.0.0+git2022071414.16978de-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:50:27 -0400

ovn-octavia-provider (2.0.0+git2022060610.48c55f9-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 10:23:30 -0400

=== debian/control ===
Source: ovn-octavia-provider
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-babel (>= 2.3.4),
 python3-hacking,
 python3-isort (>= 4.3.21),
 python3-keystoneauth1 (>= 3.14.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:18.0.0),
 python3-neutron-lib (>= 2.16.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-octavia-lib (>= 2.2.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openvswitch (>= 2.10.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.utils (>= 4.5.0),
 python3-oslotest (>= 1:3.2.0),
 python3-ovsdbapp (>= 1.7.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.4.23),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-tenacity (>= 6.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ovn-octavia-provider
Homepage: https://opendev.org/openstack/ovn-octavia-provider
Testsuite: autopkgtest-pkg-python

Package: python3-ovn-octavia-provider
Architecture: all
Section: python
Depends:
 python3-babel (>= 2.3.4),
 python3-keystoneauth1 (>= 3.14.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 2.16.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-octavia-lib (>= 2.2.0),
 python3-openvswitch (>= 2.10.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.utils (>= 4.5.0),
 python3-ovsdbapp (>= 1.7.0),
 python3-pbr (>= 4.0.0),
 python3-sqlalchemy (>= 1.4.23),
 python3-tenacity (>= 6.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Octavia Integration with OVN - Python 3 library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 OVN provides virtual networking for Open vSwitch and is a component of the
 Open vSwitch project.
 .
 This package provides the Python 3 module for the integration between Octavia and OVN.

## ovn-octavia-provider 4.0.1+git2023071215.382ddb03

=== requirements.txt ===
--- 
+++ 
@@ -9,15 +9,15 @@
 keystoneauth1>=3.14.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
 neutron-lib>=2.16.0 # Apache-2.0
+openstacksdk>=0.103.0 # Apache-2.0
 oslo.config>=8.0.0 # Apache-2.0
 oslo.log>=4.3.0 # Apache-2.0
 oslo.messaging>=12.4.0 # Apache-2.0
 oslo.serialization>=2.28.1 # Apache-2.0
 oslo.utils>=4.5.0 # Apache-2.0
 ovs>=2.10.0 # Apache-2.0
-ovsdbapp>=1.7.0 # Apache-2.0
+ovsdbapp>=2.1.0 # Apache-2.0
 pbr>=4.0.0 # Apache-2.0
 SQLAlchemy>=1.4.23 # MIT
 tenacity>=6.0.0 # Apache-2.0
 octavia-lib>=2.2.0 # Apache-2.0
-python-neutronclient>=6.7.0 # Apache-2.0

=== debian/changelog ===
ovn-octavia-provider (4.0.1+git2023071215.382ddb03-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 15:08:09 -0400

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  python3-neutronclient (>= 1:6.7.0),
  python3-octavia-lib (>= 2.2.0),
  python3-openstackdocstheme (>= 2.2.1),
+ python3-openstacksdk (>= 0.103.0),
  python3-openvswitch (>= 2.10.0),
  python3-oslo.config (>= 1:8.0.0),
  python3-oslo.log (>= 4.3.0),
@@ -29,7 +30,7 @@
  python3-oslo.serialization (>= 2.28.1),
  python3-oslo.utils (>= 4.5.0),
  python3-oslotest (>= 1:3.2.0),
- python3-ovsdbapp (>= 1.7.0),
+ python3-ovsdbapp (>= 2.1.0),
  python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
  python3-sqlalchemy (>= 1.4.23),
  python3-stestr (>= 1.0.0),
@@ -54,13 +55,14 @@
  python3-neutron-lib (>= 2.16.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-octavia-lib (>= 2.2.0),
+ python3-openstacksdk (>= 0.103.0),
  python3-openvswitch (>= 2.10.0),
  python3-oslo.config (>= 1:8.0.0),
  python3-oslo.log (>= 4.3.0),
  python3-oslo.messaging (>= 12.4.0),
  python3-oslo.serialization (>= 2.28.1),
  python3-oslo.utils (>= 4.5.0),
- python3-ovsdbapp (>= 1.7.0),
+ python3-ovsdbapp (>= 2.1.0),
  python3-pbr (>= 4.0.0),
  python3-sqlalchemy (>= 1.4.23),
  python3-tenacity (>= 6.0.0),

## ovn-octavia-provider 4.0.2

=== debian/changelog ===
ovn-octavia-provider (4.0.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Thu, 02 Oct 2025 10:03:49 +0000

ovn-octavia-provider (4.0.0-3) unstable; urgency=medium

  * Re-add Architecture: amd64 arm64 ppc64el s390x in d/test/control.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Jul 2023 14:05:59 +0200

ovn-octavia-provider (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 10:38:10 +0200

ovn-octavia-provider (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 15:02:49 +0100

ovn-octavia-provider (4.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Mar 2023 13:27:35 +0100

=== debian/control ===
Source: ovn-octavia-provider
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-isort,
 python3-mock,
 python3-netaddr,
 python3-neutron,
 python3-neutron-lib,
 python3-neutronclient,
 python3-octavia-lib,
 python3-openstackdocstheme,
 python3-openvswitch,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-ovsdbapp,
 python3-pbr,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-sqlalchemy,
 python3-stestr,
 python3-tenacity,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webtest,
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-ovn-octavia-provider
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-ovn-octavia-provider.git
Homepage: https://opendev.org/openstack/ovn-octavia-provider

Package: python3-ovn-octavia-provider
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-netaddr,
 python3-neutron-lib,
 python3-neutronclient,
 python3-octavia-lib,
 python3-openvswitch,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-ovsdbapp,
 python3-pbr,
 python3-sqlalchemy,
 python3-tenacity,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ovn-octavia-provider-doc,
Description: OpenStack Octavia integration with OVN - Python 3.x
 OVN provides virtual networking for Open vSwitch and is a component of the
 OpenvSwitch project. This project provides integration between OpenStack
 Octavia and OVN.
 .
 This package contains the Python 3.x module.

Package: python-ovn-octavia-provider-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Octavia integration with OVN - doc
 OVN provides virtual networking for Open vSwitch and is a component of the
 OpenvSwitch project. This project provides integration between OpenStack
 Octavia and OVN.
 .
 This package contains the documentation.

## ovn-octavia-provider 5.0.0~rc1

=== debian/changelog ===
ovn-octavia-provider (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2023 12:37:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr
+	rm -rf build .stestr *.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
